#include <stdio.h>
#include <stdlib.h>

#define NUM_DAYS 60

int
main(void) {
	int reserve[NUM_DAYS];
	int num_rooms, num_calls;
	int first, last, need;
	int r, d, ok;
	for (d = 0; d < NUM_DAYS; d++)
		reserve[d] = 0;
	if (2 != scanf("%d%d", &num_rooms, &num_calls))
		exit(1);
	for (r = 0; r < num_calls; r++) {
		if (3 != scanf("%d%d%d", &first, &last, &need))
			exit(1);
		if (first < 0 || last < first || NUM_DAYS <= last || need < 0)
			exit(1);
		ok = 1;
		for (d = first; d <= last; d++) {
			if (num_rooms < reserve[d] + need)
				ok = 0;
		}
		if (ok) {
			for (d = first; d <= last; d++)
				reserve[d] += need;
			printf("1\n");
		} else {
			printf("0\n");
		}
	}
	return 0;
}
